Television News FAQ Contact us
FAQ ( Frequently asked questions )

What do i need to use this website?


To use all the capabilities of this website we recommend you that you install the latest versions of Microsoft Internet Explorer, Windows Media Player, Quicktime, Flash Player and RealPlayer. You also need a broadband internet connection.

Download Quicktime Download Windows Media Player 10 Download Flash Player Download RealPlayer

This website doesn't fully support Mozilla Firefox or any other browser than Microsoft Internet Explorer.